Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### nf()

Examples

    int a=200, b=40, c=90;
    String sa = nf(a, 10);
    println(sa); // prints "0000000200"
    String sb = nf(b, 5);
    println(sb); // prints "00040"
    String sc = nf(c, 3);
    println(sc); // prints "090"

    float d = 200.94, e = 40.2, f = 9.012;
    String sd = nf(d, 10, 4);
    println(sd);  // prints "0000000200.9400"
    String se = nf(e, 5, 3);
    println(se);  // prints "00040.200"
    String sf = nf(f, 3, 5);
    println(sf);  // prints "009.01200"

Description | Utility function for formatting numbers into strings. There are two versions, one for formatting floats and one for formatting ints. The values for the digits, left, and right parameters should always be positive integers.

Syntax

    nf(intValue, digits)
    nf(floatValue, left, right)

Parameters

intValue | int or int[]: the number(s) to format
digits | int: number of digits to pad with zeroes
floatValue | float or float[]: the number(s) to format
left | int: number of digits to the left of the decimal point
right | int: number of digits to the right of the decimal point

Usage | Web & Application
Related | nfs() nfp() nfc()

Updated on February 09, 2008 04:38:52pm PST